cask "ardour" do
  arch arm: "arm64"
  version "7.2.0"
  depends_on arch: :arm64  
  sha256 arm:   "c41b5c1253998c23730612f64ae3c273770cc4f43bc3da939df518c4dd818cc2"

  url "https://s3.badhouseplants.net/homebrew-releases/Ardour-#{version}-#{arch}.dmg",
      verified: "https://github.com/Ardour/ardour"
  name "Ardour 7.2"
  desc "Record, Edit, and Mix on Linux, macOS and Windows"
  homepage "https://ardour.org/"

  livecheck do
    url :url
    regex(/^v?(\d+(?:\.\d+)+)$/i)
  end
  app "Ardour7.app"
  caveats "You can find the source code here: https://github.com/Ardour/ardour
You should consider supporting the development team, learn how to do it here: https://community.ardour.org/community"

  zap trash: []
end
