cask "dragonfly-reverb" do
  arch arm: "universal", intel: "intel" 
  version "3.2.8"
  sha256 arm: "fe3921834e6546890bbf5ded0ddd9fb02af2ba1cbd00cf96c7bba5da54e36a6c",
        intel: "83daf6bf7d85803b517701e105cf19c2799d2976c4a6bdb795ca22a5542da5a5"

  url "https://github.com/michaelwillis/dragonfly-reverb/releases/download/#{version}/dragonfly-reverb-#{version}-macos-#{arch}.pkg",
      verified: "https://github.com/michaelwillis/dragonfly-reverb"
  name "Dragonfly Reverb"
  desc "A set of free reverb effects"
  homepage "https://michaelwillis.github.io/dragonfly-reverb/"

  livecheck do
    url :url
    regex(/^v?(\d+(?:\.\d+)+)$/i)
  end

  pkg "dragonfly-reverb-#{version}-macos-#{arch}.pkg"
  uninstall pkgutil: [
    "studio.kx.distrho.plugins.dragonfly-reverb.lv2bundles",
    "studio.kx.distrho.plugins.dragonfly-reverb.clapbundles",
    "studio.kx.distrho.plugins.dragonfly-reverb.vst2bundles",
    "studio.kx.distrho.plugins.dragonfly-reverb.vst3bundles"
  ]

end
