cask "openmusic" do
  module Utils
    def self.date 
      "09-10-2022"
    end
  end

  arch arm: "M1", intel: "Intel"
  version "7.1"
  
  sha256 arm:   "623742d42bfd87837083ccada3334c0f39dac844ee45db0065807bc2495645f5",
         intel: "7ad87c63917f0333f3a5d04cec1e16dc43d30a28dc5de4fcf41a1530e5ec9986"

  url "https://github.com/openmusic-project/openmusic/releases/download/v#{version}/OM-#{version}-macOS-#{arch}-#{Utils.date}.dmg",
      verified: "https://github.com/openmusic-project/openmusic"
  name "Open Music"
  desc "The OpenMusic visual programming / computer-aided composition environment"
  homepage "https://openmusic-project.github.io/openmusic/"

  livecheck do
    url :url
    regex(/^v?(\d+(?:\.\d+)+)$/i)
  end
  app "OM #{version}.app"
end
